#
# spec file for package mg
#
# Copyright (c) 2022 Tomasz Hołubowicz <alternateved@pm.me>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:           mg
Version:        3.5
Release:        bp155.1.7
Summary:        Micro GNU Emacs clone
License:        Unlicense
Group:          Productivity/Text/Editors
URL:            https://man.troglobit.com/man1/mg.1.html
Source:         https://github.com/troglobit/mg/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel

%description
Mg is micro GNU Emacs clone without lisp interpreter.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_docdir}/
mv -f %{buildroot}%{_datadir}/doc/%{name}/ %{buildroot}%{_docdir}/%{name}/

rm %{buildroot}/usr/share/doc/packages/mg/.mg
rm %{buildroot}/usr/share/doc/packages/mg/UNLICENSE

%files
%license UNLICENSE
%doc README.md ChangeLog.md
%doc %{_docdir}/mg/
%{_bindir}/mg
%{_mandir}/man1/mg.1%{?ext_man}

%changelog
* Tue May 31 2022 Tomasz Hołubowicz <alternateved@gmail.com>
- Use latest release instead of the package from GitHub generated link as only
  release comes with configure script
* Tue May 31 2022 Tomasz Hołubowicz <alternateved@gmail.com>
- Use proper tarball
* Tue May 31 2022 Tomasz Hołubowicz <alternateved@gmail.com>
- Apply suggestions from review:
  * absolute URL is required so the tarball could be verified against the
    upstream provided one
  * use commonly used form for manpage files
* Tue May 31 2022 Tomasz Hołubowicz <alternateved@gmail.com>
- Remove %%debug_package macro as mg-debuginfo already exists
* Mon May 30 2022 Tomasz Hołubowicz <alternateved@gmail.com>
- Initial version (3.5)
